Subject: [i2rs] Questions on Network types in draft-ietf-i2rs-yang-network-topo

From: Qin Wu <[email-masked]>
Date: Mon, 14 Oct 2019 06:40:49 +0000

Hi, Alex and RFC8345 authors:
As we know, node, link, termination points are three basic elements in the network topology model, network-types defined in ietf-network model indicate certain type of the network, no definition of node-type and link-type in network topology model, see
quoted text in section 4.1 of RFC8345
"
A network has a certain type, such as L2, L3, OSPF, or IS-IS.  A
network can even have multiple types simultaneously.  The type or
types are captured underneath the container "network-types".  In this
model, it serves merely as an augmentation target; network-specific
modules will later introduce new data nodes to represent new network
types below this target, i.e., will insert them below "network-types"
via YANG augmentation.
"
However in some cases, there might be multiple tunnels between the two nodes or endpoints, it seems network-types is not sufficient to indicate
various type of tunnel technology between two nodes, especially when a network can have multiple network type simultaneously.
So I believe link type or tunnel type should be added as link attributes of extension of ietf-network-topology model.
Let me know if my understanding is correct.

-Qin